scala.reflect.macros.runtime.MacroRuntimes

# MacroRuntimeResolver

#### class MacroRuntimeResolver extends tools.nsc.typechecker.Analyzer.JavaReflectionResolvers

Source
  MacroRuntimes.scala

Linear Supertypes
tools.nsc.typechecker.Analyzer.JavaReflectionResolvers, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. MacroRuntimeResolver
2. JavaReflectionResolvers
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new MacroRuntimeResolver(macroDef: tools.nsc.Global.Symbol)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from tools.nsc.typechecker.Analyzer.MacroRuntimeResolver to any2stringadd[tools.nsc.typechecker.Analyzer.MacroRuntimeResolver] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (tools.nsc.typechecker.Analyzer.MacroRuntimeResolver, B)

   Implicit information
     This member is added by an implicit conversion from tools.nsc.typechecker.Analyzer.MacroRuntimeResolver to ArrowAssoc[tools.nsc.typechecker.Analyzer.MacroRuntimeResolver] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### val binding: tools.nsc.typechecker.Analyzer.MacroImplBinding

8. #### val className: String

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def ensuring(cond: (tools.nsc.typechecker.Analyzer.MacroRuntimeResolver) ⇒ Boolean, msg: ⇒ Any): tools.nsc.typechecker.Analyzer.MacroRuntimeResolver

    Implicit information
      This member is added by an implicit conversion from tools.nsc.typechecker.Analyzer.MacroRuntimeResolver to Ensuring[tools.nsc.typechecker.Analyzer.MacroRuntimeResolver] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (tools.nsc.typechecker.Analyzer.MacroRuntimeResolver) ⇒ Boolean): tools.nsc.typechecker.Analyzer.MacroRuntimeResolver

    Implicit information
      This member is added by an implicit conversion from tools.nsc.typechecker.Analyzer.MacroRuntimeResolver to Ensuring[tools.nsc.typechecker.Analyzer.MacroRuntimeResolver] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): tools.nsc.typechecker.Analyzer.MacroRuntimeResolver

    Implicit information
      This member is added by an implicit conversion from tools.nsc.typechecker.Analyzer.MacroRuntimeResolver to Ensuring[tools.nsc.typechecker.Analyzer.MacroRuntimeResolver] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): tools.nsc.typechecker.Analyzer.MacroRuntimeResolver

    Implicit information
      This member is added by an implicit conversion from tools.nsc.typechecker.Analyzer.MacroRuntimeResolver to Ensuring[tools.nsc.typechecker.Analyzer.MacroRuntimeResolver] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from tools.nsc.typechecker.Analyzer.MacroRuntimeResolver to StringFormat[tools.nsc.typechecker.Analyzer.MacroRuntimeResolver] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### val isBundle: Boolean

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### val macroDef: tools.nsc.Global.Symbol

23. #### val methName: String

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### def resolveJavaReflectionRuntime(classLoader: ClassLoader): tools.nsc.typechecker.Analyzer.MacroRuntime

    Definition Classes
      JavaReflectionResolvers

28. #### def resolveRuntime(): tools.nsc.typechecker.Analyzer.MacroRuntime

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### def →[B](y: B): (tools.nsc.typechecker.Analyzer.MacroRuntimeResolver, B)

    Implicit information
      This member is added by an implicit conversion from tools.nsc.typechecker.Analyzer.MacroRuntimeResolver to ArrowAssoc[tools.nsc.typechecker.Analyzer.MacroRuntimeResolver] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from tools.nsc.typechecker.Analyzer.JavaReflectionResolvers

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from tools.nsc.typechecker.Analyzer.MacroRuntimeResolver to any2stringadd[tools.nsc.typechecker.Analyzer.MacroRuntimeResolver]

### Inherited by implicit conversion StringFormat from tools.nsc.typechecker.Analyzer.MacroRuntimeResolver to StringFormat[tools.nsc.typechecker.Analyzer.MacroRuntimeResolver]

### Inherited by implicit conversion Ensuring from tools.nsc.typechecker.Analyzer.MacroRuntimeResolver to Ensuring[tools.nsc.typechecker.Analyzer.MacroRuntimeResolver]

### Inherited by implicit conversion ArrowAssoc from tools.nsc.typechecker.Analyzer.MacroRuntimeResolver to ArrowAssoc[tools.nsc.typechecker.Analyzer.MacroRuntimeResolver]

### Ungrouped